# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Oct  1 14:48:09 2023
# ------------------------------------------------

package:
  name: python-fastjsonschema
  version: 2.18.1
source:
  - folder: dist
    sha256: 06dc8680d937628e993fa0cd278f196d20449a1adc087640710846b324d422ea
    url: https://pypi.io/packages/source/f/fastjsonschema/fastjsonschema-2.18.1.tar.gz
  - folder: src
    sha256: 0001458f4c48a9f4d0198ba079bf9aac5cc2873731b45cd146d7cf5f02e5df63
    url: https://github.com/horejsek/python-fastjsonschema/archive/v2.18.1.tar.gz
build:
  noarch: python
  number: '0'
  script: cd dist && /home/conda/feedstock_root/build_artifacts/python-fastjsonschema_1696171779618/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  string: pyhd8ed1ab_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.7.22 hbcca054_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libnsl 2.0.0 hd590300_1
    - libsqlite 3.43.0 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.3 hd590300_0
    - pip 23.2.1 pyhd8ed1ab_0
    - python 3.11.5 hab00c5b_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 68.2.2 pyhd8ed1ab_0
    - tk 8.6.13 h2797004_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.41.2 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - python >=3.3
test:
  commands:
    - cd src && cd tests && pytest -vv --cov fastjsonschema -k "not (compile_to_code_ipv6_regex
      or compile_to_code_custom_format_with_refs)" --cov-report term-missing:skip-covered
      --no-cov-on-fail --cov-fail-under 84
  imports:
    - fastjsonschema
  requires:
    - pytest-benchmark
    - pytest-cov
  source_files:
    - src/tests
about:
  description: 'fastjsonschema implements validation of JSON documents by JSON schema.
    The

    library implements JSON schema drafts 04, 06 and 07. The main purpose is to

    have a really fast implementation.

    '
  doc_source_url: https://github.com/horejsek/python-fastjsonschema/tree/master/docs
  doc_url: https://horejsek.github.io/python-fastjsonschema
  home: https://github.com/horejsek/python-fastjsonschema
  license: BSD-3-Clause
  license_family: BSD
  license_file: src/LICENSE
  summary: Fastest Python implementation of JSON schema
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - bollwyvl
